
Redmine - Defect #14753

Remember issue filter for each project

2013-08-22 22:24 - Tyler P

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

When I switch projects, redmine forgets my issue filters for the last project. It would be great if it remembered the filter for each

project. Maybe by creating a different cookie for each project?

Reproduce:

1. Apply a filter to the issues in a project.

2. Open a new tab in the browser and apply a filter in a different project.

3. Click the issues redmine tab in the first project.

Expected:

The filter is still there.

Actual:

The filter returns to the default, and must be selected again.

Notes:

Creating custom queries is a possible workaround, but still requires an extra page load because redmine loads the default filter, then,

after you click the link to the custom query, loads again.

Related issues:

Related to Redmine - Feature #7360: Issue custom query: default query per ins... Closed 2011-01-18

History

#1 - 2017-09-23 04:02 - Go MAEDA

- Related to Feature #7360: Issue custom query: default query per instance, project and user added

#2 - 2019-03-06 15:51 - LEXO IT Services Switzerland

I hope that this feature will be release soon too. It's very annoying. It should be possible to define a global default filter and then save a dedicated filter

per project.

#3 - 2019-10-22 09:33 - Taine Woo

+1

i think it's better to save the changes to filters/columns/groupby to session cookie or something related.

#4 - 2021-07-09 01:36 - Go MAEDA

- Category set to Issues

- Status changed from New to Closed

- Resolution set to Fixed

Redmine 5.0.0 will allow you to set a default query for each project (#7360).

Save the filter as a custom query, and then set the query as the default query for the project.
